Struggled on updating OSSN 6.2 to 6.3 LTS

Oliver Mankewitz Posted in General Discussion 2 weeks ago

Hi guys!
I followed your upgrade guidelines but ran into the following error:

Error: Class "OssnSystem" not found in /var/www/html/components/Kernel/classes/Kernel.php:13
Stack trace:
#0 /var/www/html/components/Kernel/ossn_com.php(12): require_once()
#1 /var/www/html/classes/OssnComponents.php(244): include_once('...')
#2 /var/www/html/libraries/ossn.lib.components.php(69): OssnComponents->loadComs()
#3 /var/www/html/system/start.php(39): include_once('...')
#4 /var/www/html/upgrade/upgrade.php(16): require_once('...')
#5 {main}

What went wrong and how can I fix this?

Thanks!

Replies
Indonesian Arsalan Shah Replied 2 weeks ago

OSSN free + paid features bug fixes, for more details please open a ticket at openteknik.com as paid version have different release time then free version you may see new update on dashboard but it might not available please open a ticket for details.

German Oliver Mankewitz Replied 2 weeks ago

Okay, I see!
Does the latest premium 6.1 version has the same enhancements and bugfixes than the free 6.3LTS?

German Oliver Mankewitz Replied 2 weeks ago

Hi, Arsalan!
Thanks for your reply.
I used the non-free/premium version before and it seems that I upgraded with the free version. Can that be fixed and how?

Indonesian Arsalan Shah Replied 2 weeks ago

You seems using non free version please follow the guide lines of that version.